<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_ReceivablesFromRelatedCompanies" xlink:label="ReceivablesFromRelatedCompanies" xlink:title="ReceivablesFromRelatedCompanies"/>
        <link:label xlink:type="resource" xlink:label="label_en_ReceivablesFromRelatedCompanies" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_ReceivablesFromRelatedCompanies" xml:lang="en" id="label_en_ReceivablesFromRelatedCompanies">Receivables from related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReceivablesFromRelatedCompanies" xlink:title="Presentation: ReceivablesFromRelatedCompanies to label_en_ReceivablesFromRelatedCompanies" xlink:to="label_en_ReceivablesFromRelatedCompanies" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:label="AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:title="AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies"/>
        <link:label xlink:type="resource" xlink:label="label_en_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xml:lang="en" id="label_en_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies">Adjustments for increase (decrease) in payables to related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:title="Presentation: AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies to label_en_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:to="label_en_AdjustmentsForIncreaseDecreaseInPayablesToRelatedCompanies" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_IncomeFromFactoringActivities" xlink:label="IncomeFromFactoringActivities" xlink:title="IncomeFromFactoringActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_IncomeFromFactoringActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_IncomeFromFactoringActivities" xml:lang="en" id="label_en_IncomeFromFactoringActivities">Income from factoring activities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeFromFactoringActivities" xlink:title="Presentation: IncomeFromFactoringActivities to label_en_IncomeFromFactoringActivities" xlink:to="label_en_IncomeFromFactoringActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_ShareCapital" xlink:label="ShareCapital" xlink:title="ShareCapital"/>
        <link:label xlink:type="resource" xlink:label="label_en_ShareCapital" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_ShareCapital" xml:lang="en" id="label_en_ShareCapital">Share capital</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShareCapital" xlink:title="Presentation: ShareCapital to label_en_ShareCapital" xlink:to="label_en_ShareCapital" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:label="AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:title="AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans"/>
        <link:label xlink:type="resource" xlink:label="label_en_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xml:lang="en" id="label_en_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans">Adjustments for foreign exchange gains and losses longterm loans</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:title="Presentation: AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans to label_en_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:to="label_en_AdjustmentsForForeignExchangeGainsAndLossesLongtermLoans" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:label="AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:title="AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans"/>
        <link:label xlink:type="resource" xlink:label="label_en_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xml:lang="en" id="label_en_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans">Adjustments for foreign exchange gains and losses shortterm loans</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:title="Presentation: AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans to label_en_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:to="label_en_AdjustmentsForForeignExchangeGainsAndLossesShorttermLoans" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_AdjustmentsForAmortisationAndImpairments" xlink:label="AdjustmentsForAmortisationAndImpairments" xlink:title="AdjustmentsForAmortisationAndImpairments"/>
        <link:label xlink:type="resource" xlink:label="label_en_AdjustmentsForAmortisationAndImpairments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_AdjustmentsForAmortisationAndImpairments" xml:lang="en" id="label_en_AdjustmentsForAmortisationAndImpairments">Adjustments for amortisation and impairments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForAmortisationAndImpairments" xlink:title="Presentation: AdjustmentsForAmortisationAndImpairments to label_en_AdjustmentsForAmortisationAndImpairments" xlink:to="label_en_AdjustmentsForAmortisationAndImpairments" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:title="AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables"/>
        <link:label xlink:type="resource" xlink:label="label_en_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xml:lang="en" id="label_en_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables">Adjustments for decrease (increase) in income tax receivables</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:title="Presentation: AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables to label_en_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:to="label_en_AdjustmentsForDecreaseIncreaseInIncomeTaxReceivables" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="5JB3IE65ZU13TA0DGN10-2025-12-31.xsd#wuerthfinance_OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:label="OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:title="OtherAssetsAccruedIncomeAndPrepaidExpenses"/>
        <link:label xlink:type="resource" xlink:label="label_en_OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_en_OtherAssetsAccruedIncomeAndPrepaidExpenses" xml:lang="en" id="label_en_OtherAssetsAccruedIncomeAndPrepaidExpenses">Other assets, accrued income and prepaid expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:title="Presentation: OtherAssetsAccruedIncomeAndPrepaidExpenses to label_en_OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:to="label_en_OtherAssetsAccruedIncomeAndPrepaidExpenses" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapitalMember" xlink:label="ifrs-full_IssuedCapitalMember" xlink:title="ifrs-full_IssuedCapitalMember"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_IssuedCapitalMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_IssuedCapitalMember" xml:lang="en" id="label_en_ifrs-full_IssuedCapitalMember">Issued capital</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IssuedCapitalMember" xlink:title="Presentation: ifrs-full_IssuedCapitalMember to label_en_ifrs-full_IssuedCapitalMember" xlink:to="label_en_ifrs-full_IssuedCapitalMember" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdditionalPaidinCapitalMember" xlink:label="ifrs-full_AdditionalPaidinCapitalMember" xlink:title="ifrs-full_AdditionalPaidinCapitalMember"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdditionalPaidinCapitalMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdditionalPaidinCapitalMember" xml:lang="en" id="label_en_ifrs-full_AdditionalPaidinCapitalMember">Additional paid-in capital</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdditionalPaidinCapitalMember" xlink:title="Presentation: ifrs-full_AdditionalPaidinCapitalMember to label_en_ifrs-full_AdditionalPaidinCapitalMember" xlink:to="label_en_ifrs-full_AdditionalPaidinCapitalMember" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarningsMember" xlink:label="ifrs-full_RetainedEarningsMember" xlink:title="ifrs-full_RetainedEarningsMember"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_RetainedEarningsMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_RetainedEarningsMember" xml:lang="en" id="label_en_ifrs-full_RetainedEarningsMember">Retained earnings</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_RetainedEarningsMember" xlink:title="Presentation: ifrs-full_RetainedEarningsMember to label_en_ifrs-full_RetainedEarningsMember" xlink:to="label_en_ifrs-full_RetainedEarningsMember" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfCashFlowHedgesMember" xlink:label="ifrs-full_ReserveOfCashFlowHedgesMember" xlink:title="ifrs-full_ReserveOfCashFlowHedgesMember"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ReserveOfCashFlowHedgesMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ReserveOfCashFlowHedgesMember" xml:lang="en" id="label_en_ifrs-full_ReserveOfCashFlowHedgesMember">Cash flow hedge reserve</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ReserveOfCashFlowHedgesMember" xlink:title="Presentation: ifrs-full_ReserveOfCashFlowHedgesMember to label_en_ifrs-full_ReserveOfCashFlowHedgesMember" xlink:to="label_en_ifrs-full_ReserveOfCashFlowHedgesMember" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:title="ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xml:lang="en" id="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember">Foreign currency translation</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:title="Presentation: ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember to label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:to="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ProfitLoss" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ProfitLoss" xml:lang="en" id="label_en_ifrs-full_ProfitLoss">Net profit for the year</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProfitLoss" xlink:title="Presentation: ifrs-full_ProfitLoss to label_en_ifrs-full_ProfitLoss" xlink:to="label_en_ifrs-full_ProfitLoss" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xml:lang="en" id="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation">Foreign currency translation</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="Presentation: ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation to label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:to="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xml:lang="en" id="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges">Cash flow hedge accounting</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:title="Presentation: ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges to label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xml:lang="en" id="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans">Remeasurement gain / (loss) on defined benefit plans</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="Presentation: ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans to label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:to="label_en_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaid" xlink:label="ifrs-full_DividendsPaid" xlink:title="ifrs-full_DividendsPaid"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_DividendsPaid" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_DividendsPaid" xml:lang="en" id="label_en_ifrs-full_DividendsPaid">Dividends</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_DividendsPaid" xlink:title="Presentation: ifrs-full_DividendsPaid to label_en_ifrs-full_DividendsPaid" xlink:to="label_en_ifrs-full_DividendsPaid" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:label="ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:title="ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xml:lang="en" id="label_en_ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost">Interest income from financial instruments measured at amortised cost</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:title="Presentation: ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost to label_en_ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:to="label_en_ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:title="ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xml:lang="en" id="label_en_ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss">Interest income from financial instruments measured at fair value through profit or loss</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:title="Presentation: ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss to label_en_ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:to="label_en_ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestExpense" xlink:label="ifrs-full_InterestExpense" xlink:title="ifrs-full_InterestExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_InterestExpense" xml:lang="en" id="label_en_ifrs-full_InterestExpense">Interest expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestExpense" xlink:title="Presentation: ifrs-full_InterestExpense to label_en_ifrs-full_InterestExpense" xlink:to="label_en_ifrs-full_InterestExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="ifrs-full_FeeAndCommissionIncome" xlink:title="ifrs-full_FeeAndCommissionIncome"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_FeeAndCommissionIncome" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_FeeAndCommissionIncome" xml:lang="en" id="label_en_ifrs-full_FeeAndCommissionIncome">Income from commission and service fee activities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_FeeAndCommissionIncome" xlink:title="Presentation: ifrs-full_FeeAndCommissionIncome to label_en_ifrs-full_FeeAndCommissionIncome" xlink:to="label_en_ifrs-full_FeeAndCommissionIncome" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradingIncomeExpense" xlink:label="ifrs-full_TradingIncomeExpense" xlink:title="ifrs-full_TradingIncomeExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_TradingIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_TradingIncomeExpense" xml:lang="en" id="label_en_ifrs-full_TradingIncomeExpense">Income from trading activities and financial instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_TradingIncomeExpense" xlink:title="Presentation: ifrs-full_TradingIncomeExpense to label_en_ifrs-full_TradingIncomeExpense" xlink:to="label_en_ifrs-full_TradingIncomeExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" xlink:title="ifrs-full_OtherIncome"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherIncome" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherIncome" xml:lang="en" id="label_en_ifrs-full_OtherIncome">Other ordinary income from related parties</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherIncome" xlink:title="Presentation: ifrs-full_OtherIncome to label_en_ifrs-full_OtherIncome" xlink:to="label_en_ifrs-full_OtherIncome" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:title="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xml:lang="en" id="label_en_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9">Expected credit loss (expenses) / recovery</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:title="Presentation: ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9 to label_en_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:to="label_en_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" xlink:title="ifrs-full_EmployeeBenefitsExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_EmployeeBenefitsExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_EmployeeBenefitsExpense" xml:lang="en" id="label_en_ifrs-full_EmployeeBenefitsExpense">Personnel expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_EmployeeBenefitsExpense" xlink:title="Presentation: ifrs-full_EmployeeBenefitsExpense to label_en_ifrs-full_EmployeeBenefitsExpense" xlink:to="label_en_ifrs-full_EmployeeBenefitsExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:title="ifrs-full_AdministrativeExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdministrativeExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdministrativeExpense" xml:lang="en" id="label_en_ifrs-full_AdministrativeExpense">Other administrative expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdministrativeExpense" xlink:title="Presentation: ifrs-full_AdministrativeExpense to label_en_ifrs-full_AdministrativeExpense" xlink:to="label_en_ifrs-full_AdministrativeExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="ifrs-full_DepreciationAndAmortisationExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_DepreciationAndAmortisationExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_DepreciationAndAmortisationExpense" xml:lang="en" id="label_en_ifrs-full_DepreciationAndAmortisationExpense">Amortisation expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="Presentation: ifrs-full_DepreciationAndAmortisationExpense to label_en_ifrs-full_DepreciationAndAmortisationExpense" xlink:to="label_en_ifrs-full_DepreciationAndAmortisationExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxExpenseIncome" xlink:label="ifrs-full_CurrentTaxExpenseIncome" xlink:title="ifrs-full_CurrentTaxExpenseIncome"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentTaxExpenseIncome" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentTaxExpenseIncome" xml:lang="en" id="label_en_ifrs-full_CurrentTaxExpenseIncome">Income tax expense</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentTaxExpenseIncome" xlink:title="Presentation: ifrs-full_CurrentTaxExpenseIncome to label_en_ifrs-full_CurrentTaxExpenseIncome" xlink:to="label_en_ifrs-full_CurrentTaxExpenseIncome" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:title="ifrs-full_AdjustmentsForIncomeTaxExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdjustmentsForIncomeTaxExpense" xml:lang="en" id="label_en_ifrs-full_AdjustmentsForIncomeTaxExpense">Adjustment to provision for taxes</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:title="Presentation: ifrs-full_AdjustmentsForIncomeTaxExpense to label_en_ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:to="label_en_ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:label="ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:title="ifrs-full_AdjustmentsForDeferredTaxExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdjustmentsForDeferredTaxExpense" xml:lang="en" id="label_en_ifrs-full_AdjustmentsForDeferredTaxExpense">Deferred tax expense / (benefit)</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:title="Presentation: ifrs-full_AdjustmentsForDeferredTaxExpense to label_en_ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:to="label_en_ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="ifrs-full_OtherAdjustmentsForNoncashItems" xlink:title="ifrs-full_OtherAdjustmentsForNoncashItems"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherAdjustmentsForNoncashItems" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherAdjustmentsForNoncashItems" xml:lang="en" id="label_en_ifrs-full_OtherAdjustmentsForNoncashItems">Other expenses and revenues without cash flows</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherAdjustmentsForNoncashItems" xlink:title="Presentation: ifrs-full_OtherAdjustmentsForNoncashItems to label_en_ifrs-full_OtherAdjustmentsForNoncashItems" xlink:to="label_en_ifrs-full_OtherAdjustmentsForNoncashItems" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:label="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:title="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xml:lang="en" id="label_en_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties">Redemption of long-term loans to related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:title="Presentation: ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties to label_en_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:to="label_en_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:label="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:title="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xml:lang="en" id="label_en_ifrs-full_CashAdvancesAndLoansMadeToRelatedParties">Lending of long-term loans to related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:title="Presentation: ifrs-full_CashAdvancesAndLoansMadeToRelatedParties to label_en_ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:to="label_en_ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xml:lang="en" id="label_en_ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets">Positive fair values of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:title="Presentation: ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets to label_en_ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:to="label_en_ifrs-full_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xml:lang="en" id="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities">Negative fair values of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:title="Presentation: ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities to label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:to="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xml:lang="en" id="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities">Other liabilities, accrued expenses and deferred income</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:title="Presentation: ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities to label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="label_en_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xml:lang="en" id="label_en_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets">Purchase of property, plant and equipment, and intangible assets</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="Presentation: ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets to label_en_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="label_en_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xml:lang="en" id="label_en_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets">Disposal of property, plant and equipment, and intangible assets</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="Presentation: ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets to label_en_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="label_en_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xml:lang="en" id="label_en_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities">Purchase of securities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="Presentation: ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities to label_en_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:to="label_en_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xml:lang="en" id="label_en_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities">Repayment or disposal of securities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="Presentation: ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities to label_en_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:to="label_en_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xml:lang="en" id="label_en_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities">Proceeds of borrowings</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="Presentation: ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities to label_en_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="label_en_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="en" id="label_en_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities">Repayment of borrowings</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="Presentation: ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities to label_en_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_en_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:title="ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xml:lang="en" id="label_en_ifrs-full_DividendsPaidClassifiedAsFinancingActivities">Dividend payments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:title="Presentation: ifrs-full_DividendsPaidClassifiedAsFinancingActivities to label_en_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="label_en_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xml:lang="en" id="label_en_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities">Additional information on operating cash ﬂows - Income taxes paid</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="Presentation: ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities to label_en_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="label_en_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:title="ifrs-full_InterestReceivedClassifiedAsOperatingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xml:lang="en" id="label_en_ifrs-full_InterestReceivedClassifiedAsOperatingActivities">Additional information on operating cash ﬂows - Interest received</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:title="Presentation: ifrs-full_InterestReceivedClassifiedAsOperatingActivities to label_en_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:to="label_en_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:title="ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xml:lang="en" id="label_en_ifrs-full_InterestPaidClassifiedAsOperatingActivities">Additional information on operating cash ﬂows - Interest paid</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:title="Presentation: ifrs-full_InterestPaidClassifiedAsOperatingActivities to label_en_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:to="label_en_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_IntangibleAssetsOtherThanGoodwill" xml:lang="en" id="label_en_ifrs-full_IntangibleAssetsOtherThanGoodwill">Intangible assets</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="Presentation: ifrs-full_IntangibleAssetsOtherThanGoodwill to label_en_ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:to="label_en_ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:label="ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:title="ifrs-full_NoncurrentReceivablesDueFromRelatedParties"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xml:lang="en" id="label_en_ifrs-full_NoncurrentReceivablesDueFromRelatedParties">Loans to related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:title="Presentation: ifrs-full_NoncurrentReceivablesDueFromRelatedParties to label_en_ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:to="label_en_ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:title="ifrs-full_NoncurrentDerivativeFinancialAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentDerivativeFinancialAssets" xml:lang="en" id="label_en_ifrs-full_NoncurrentDerivativeFinancialAssets">Positive fair value of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:title="Presentation: ifrs-full_NoncurrentDerivativeFinancialAssets to label_en_ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:to="label_en_ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:label="ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:title="ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xml:lang="en" id="label_en_ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties">Receivables from related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:title="Presentation: ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties to label_en_ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:to="label_en_ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="ifrs-full_CurrentDerivativeFinancialAssets" xlink:title="ifrs-full_CurrentDerivativeFinancialAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentDerivativeFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentDerivativeFinancialAssets" xml:lang="en" id="label_en_ifrs-full_CurrentDerivativeFinancialAssets">Positive fair values of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentDerivativeFinancialAssets" xlink:title="Presentation: ifrs-full_CurrentDerivativeFinancialAssets to label_en_ifrs-full_CurrentDerivativeFinancialAssets" xlink:to="label_en_ifrs-full_CurrentDerivativeFinancialAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentAssets" xlink:label="ifrs-full_OtherCurrentAssets" xlink:title="ifrs-full_OtherCurrentAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherCurrentAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherCurrentAssets" xml:lang="en" id="label_en_ifrs-full_OtherCurrentAssets">Other assets</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherCurrentAssets" xlink:title="Presentation: ifrs-full_OtherCurrentAssets to label_en_ifrs-full_OtherCurrentAssets" xlink:to="label_en_ifrs-full_OtherCurrentAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:label="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:title="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xml:lang="en" id="label_en_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets">Accrued income and prepaid expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:title="Presentation: ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets to label_en_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:to="label_en_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:label="ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:title="ifrs-full_CurrentFinancialAssetsAtAmortisedCost"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xml:lang="en" id="label_en_ifrs-full_CurrentFinancialAssetsAtAmortisedCost">Securities at amortised cost</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:title="Presentation: ifrs-full_CurrentFinancialAssetsAtAmortisedCost to label_en_ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:to="label_en_ifrs-full_CurrentFinancialAssetsAtAmortisedCost" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:title="ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xml:lang="en" id="label_en_ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss">Securities at fair value through profit or loss</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:title="Presentation: ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss to label_en_ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:to="label_en_ifrs-full_CurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ifrs-full_ReserveOfCashFlowHedges" xlink:title="ifrs-full_ReserveOfCashFlowHedges"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ReserveOfCashFlowHedges" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ReserveOfCashFlowHedges" xml:lang="en" id="label_en_ifrs-full_ReserveOfCashFlowHedges">Cash ﬂow hedge reserve</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ReserveOfCashFlowHedges" xlink:title="Presentation: ifrs-full_ReserveOfCashFlowHedges to label_en_ifrs-full_ReserveOfCashFlowHedges" xlink:to="label_en_ifrs-full_ReserveOfCashFlowHedges" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xml:lang="en" id="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslation">Foreign currency translation</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="Presentation: ifrs-full_ReserveOfExchangeDifferencesOnTranslation to label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:to="label_en_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:label="ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:title="ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xml:lang="en" id="label_en_ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued">Bonds issued - Non-current liabilities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:title="Presentation: ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued to label_en_ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:to="label_en_ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:label="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:title="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xml:lang="en" id="label_en_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan">Liabilities for pension plans</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:title="Presentation: ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan to label_en_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:to="label_en_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" xlink:title="ifrs-full_NoncurrentLeaseLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentLeaseLiabilities" xml:lang="en" id="label_en_ifrs-full_NoncurrentLeaseLiabilities">Lease liabilities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentLeaseLiabilities" xlink:title="Presentation: ifrs-full_NoncurrentLeaseLiabilities to label_en_ifrs-full_NoncurrentLeaseLiabilities" xlink:to="label_en_ifrs-full_NoncurrentLeaseLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:title="ifrs-full_NoncurrentDerivativeFinancialLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_NoncurrentDerivativeFinancialLiabilities" xml:lang="en" id="label_en_ifrs-full_NoncurrentDerivativeFinancialLiabilities">Negative fair values of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:title="Presentation: ifrs-full_NoncurrentDerivativeFinancialLiabilities to label_en_ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:to="label_en_ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:label="ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:title="ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xml:lang="en" id="label_en_ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued">Bonds issued - Current liabilities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:title="Presentation: ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued to label_en_ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:to="label_en_ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:title="ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xml:lang="en" id="label_en_ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties">Payables to related companies</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:title="Presentation: ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties to label_en_ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:to="label_en_ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" xlink:title="ifrs-full_CurrentLeaseLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentLeaseLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentLeaseLiabilities" xml:lang="en" id="label_en_ifrs-full_CurrentLeaseLiabilities">Lease liabilities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentLeaseLiabilities" xlink:title="Presentation: ifrs-full_CurrentLeaseLiabilities to label_en_ifrs-full_CurrentLeaseLiabilities" xlink:to="label_en_ifrs-full_CurrentLeaseLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:label="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:title="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xml:lang="en" id="label_en_ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings">Payables to banks</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:title="Presentation: ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings to label_en_ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:to="label_en_ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:title="ifrs-full_CurrentTaxLiabilitiesCurrent"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentTaxLiabilitiesCurrent" xml:lang="en" id="label_en_ifrs-full_CurrentTaxLiabilitiesCurrent">Income tax payables</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:title="Presentation: ifrs-full_CurrentTaxLiabilitiesCurrent to label_en_ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:to="label_en_ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:title="ifrs-full_CurrentDerivativeFinancialLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_CurrentDerivativeFinancialLiabilities" xml:lang="en" id="label_en_ifrs-full_CurrentDerivativeFinancialLiabilities">Negative fair values of derivative instruments</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:title="Presentation: ifrs-full_CurrentDerivativeFinancialLiabilities to label_en_ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:to="label_en_ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentLiabilities" xlink:label="ifrs-full_OtherCurrentLiabilities" xlink:title="ifrs-full_OtherCurrentLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OtherCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_OtherCurrentLiabilities" xml:lang="en" id="label_en_ifrs-full_OtherCurrentLiabilities">Other liabilities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OtherCurrentLiabilities" xlink:title="Presentation: ifrs-full_OtherCurrentLiabilities to label_en_ifrs-full_OtherCurrentLiabilities" xlink:to="label_en_ifrs-full_OtherCurrentLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:label="ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:title="ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:title="label_en_ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xml:lang="en" id="label_en_ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities">Accrued expenses and deferred income</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:title="Presentation: ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities to label_en_ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:to="label_en_ifrs-full_AccrualsAndDeferredIncomeIncludingContractLiabilities" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" xlink:title="ifrs-full_InterestRevenueExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_InterestRevenueExpensetotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_InterestRevenueExpensetotalLabel" xml:lang="en" id="label_en_ifrs-full_InterestRevenueExpensetotalLabel">Net interest income</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_InterestRevenueExpense" xlink:title="Presentation: ifrs-full_InterestRevenueExpense to label_en_ifrs-full_InterestRevenueExpensetotalLabel" xlink:to="label_en_ifrs-full_InterestRevenueExpensetotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" xlink:title="ifrs-full_RevenueAndOperatingIncome"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_RevenueAndOperatingIncometotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_RevenueAndOperatingIncometotalLabel" xml:lang="en" id="label_en_ifrs-full_RevenueAndOperatingIncometotalLabel">Total operating income</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:title="Presentation: ifrs-full_RevenueAndOperatingIncome to label_en_ifrs-full_RevenueAndOperatingIncometotalLabel" xlink:to="label_en_ifrs-full_RevenueAndOperatingIncometotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" xlink:title="ifrs-full_OperatingExpense"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_OperatingExpensetotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_OperatingExpensetotalLabel" xml:lang="en" id="label_en_ifrs-full_OperatingExpensetotalLabel">Total operating expenses</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OperatingExpense" xlink:title="Presentation: ifrs-full_OperatingExpense to label_en_ifrs-full_OperatingExpensetotalLabel" xlink:to="label_en_ifrs-full_OperatingExpensetotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashFlowsFromUsedInOperatingActivitiestotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_CashFlowsFromUsedInOperatingActivitiestotalLabel" xml:lang="en" id="label_en_ifrs-full_CashFlowsFromUsedInOperatingActivitiestotalLabel">Net cash flows from operating activities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="Presentation: ifrs-full_CashFlowsFromUsedInOperatingActivities to label_en_ifrs-full_CashFlowsFromUsedInOperatingActivitiestotalLabel" xlink:to="label_en_ifrs-full_CashFlowsFromUsedInOperatingActivitiestotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashFlowsFromUsedInInvestingActivitiestotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_CashFlowsFromUsedInInvestingActivitiestotalLabel" xml:lang="en" id="label_en_ifrs-full_CashFlowsFromUsedInInvestingActivitiestotalLabel">Net cash flows from investing activities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="Presentation: ifrs-full_CashFlowsFromUsedInInvestingActivities to label_en_ifrs-full_CashFlowsFromUsedInInvestingActivitiestotalLabel" xlink:to="label_en_ifrs-full_CashFlowsFromUsedInInvestingActivitiestotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashFlowsFromUsedInFinancingActivitiestotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_CashFlowsFromUsedInFinancingActivitiestotalLabel" xml:lang="en" id="label_en_ifrs-full_CashFlowsFromUsedInFinancingActivitiestotalLabel">Net cash flows from financing activities</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="Presentation: ifrs-full_CashFlowsFromUsedInFinancingActivities to label_en_ifrs-full_CashFlowsFromUsedInFinancingActivitiestotalLabel" xlink:to="label_en_ifrs-full_CashFlowsFromUsedInFinancingActivitiestotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentstotalLabel" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_en_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentstotalLabel" xml:lang="en" id="label_en_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentstotalLabel">Net increase/(decrease) in cash and cash equivalents</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="Presentation: ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to label_en_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentstotalLabel" xlink:to="label_en_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentstotalLabel" xlink:type="arc"/>
        <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:title="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodStartLabel" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:title="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodStartLabel" xml:lang="en" id="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodStartLabel">Net cash and cash equivalents at the beginning of the year </link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:title="Presentation: ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition to label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodStartLabel" xlink:to="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodStartLabel" xlink:type="arc"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodEndLabel" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:title="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodEndLabel" xml:lang="en" id="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodEndLabel">Net cash and cash equivalents at the end of the year</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:title="Presentation: ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition to label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodEndLabel" xlink:to="label_en_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionperiodEndLabel" xlink:type="arc"/>
        <link:label xlink:type="resource" xlink:label="label_en_ifrs-full_ProfitLossterseLabel" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_en_ifrs-full_ProfitLossterseLabel" xml:lang="en" id="label_en_ifrs-full_ProfitLossterseLabel">Profit for the year</link:label>
        <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_ProfitLoss" xlink:title="Presentation: ifrs-full_ProfitLoss to label_en_ifrs-full_ProfitLossterseLabel" xlink:to="label_en_ifrs-full_ProfitLossterseLabel" xlink:type="arc"/>
    </link:labelLink>
</link:linkbase>
